#!/usr/bin/perl
#* Ekiga -- A VoIP and Video-Conferencing application
#* Copyright (C) 2000-2008 Damien Sandras
#*
#* This program is free software; you can redistribute it and/or modify
#* it under the terms of the GNU General Public License as published by
#* the Free Software Foundation; either version 2 of the License, or
#* (at your option) any later version.
#*
#* This program is distributed in the hope that it will be useful,
#* but WITHOUT ANY WARRANTY; without even the implied warranty of
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#* GNU General Public License for more details.
#*
#* You should have received a copy of the GNU General Public License
#* along with this program; if not, write to the Free Software Foundation,
#* Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#*
#*
#* Ekiga is licensed under the GPL license and as a special exception,
#* you have permission to link or otherwise combine this program with the
#* programs OPAL, OpenH323 and PWLIB, and distribute the combination,
#* without applying the requirements of the GNU GPL to the OPAL, OpenH323
#* and PWLIB programs, as long as you do follow the requirements of the
#* GNU GPL for all the rest of the software thus combined.
#*


#*
#*                         conv-icon.pl  -  description
#*                         --------------------------
#*   begin                : Wed 06 Feb 2008
#*   copyright            : (C) 2008 by Matthias Schneider
#*   description          : Convert png file into static YUV binary in source code.
#*
#*


system "convert -background black -flatten gnome_actions_128x128_mute-video-symbolic.png icon.yuv";

open INFILE, "icon.yuv" or die $!;
open OUTFILE, ">icon.h" or die $!;
binmode INFILE;
my ($buf, $data, $n);
my $filesize = -s "icon.yuv";
my $line=0;

print OUTFILE "
/* Generated by conf-icon.pl */
static const unsigned gm_icon_width  = 128;
static const unsigned gm_icon_height = 128;

#ifdef __SUNPRO_C
#pragma align 4 (gm_icon_yuv)
#endif
#ifdef __GNUC__
static const guint8 gm_icon_yuv[$filesize] __attribute__ ((__aligned__ (4))) = {
#else
static const guint8 gm_icon_yuv[$filesize] = {
#endif
";
while (($n = read INFILE, $data, 16) != 0) {
  print OUTFILE "  ";
  for (my $i = 0; $i < $n; $i++) {
    $ASCII = unpack("H*", substr ($data, $i, 1));
    print OUTFILE "0x${ASCII}";
    if ($line*16+$i < $filesize-1)
      { print OUTFILE ", "; }
  }
  print OUTFILE "\n";
  $line++;
}
print OUTFILE "};\n";
close(INFILE);
